Bug 895175 - Port comix's use of PIL to support Pillow for F19
Summary: Port comix's use of PIL to support Pillow for F19
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: comix
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PILLOW
TreeView+ depends on / blocked
 
Reported: 2013-01-14 18:28 UTC by Toshio Ernie Kuratomi
Modified: 2013-01-15 13:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-15 13:41:35 UTC
Type: Bug


Attachments (Terms of Use)
Patch to use the form of import of PIL that is pillow compatible (3.41 KB, patch)
2013-01-14 18:28 UTC, Toshio Ernie Kuratomi
no flags Details | Diff

Description Toshio Ernie Kuratomi 2013-01-14 18:28:19 UTC
Created attachment 678381 [details]
Patch to use the form of import of PIL that is pillow compatible

Fedora 19 is going to stop shipping python-imaging (PIL) and start shipping python-pillow instead.  Rationale can be found on the feature page: https://fedoraproject.org/wiki/Features/Pillow .  pillow should be compatible with PIL at the code level but the import statement changes slightly.

PIL supports both of these:

import Image

from PIL import Image

Pillow only supports the latter form.

I grepped through the comix source and found some occurrences of "import Image".  I'll attach a patch that updates these to the new form of import.

Comment 1 Mamoru TASAKA 2013-01-15 13:41:35 UTC
* Tue Jan 15 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 4.0.4-6
- Don't import Image directly and import PIL instead for
  F-19 Pillow conversion
  Patch from Toshio Kuratomi <a.badger@gmail.com>
  (bug 895175)

Committed, thank you.


Note You need to log in before you can comment on or make changes to this bug.